You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: ead...@freebsd.org
Ident:          $FreeBSD: head/x11/xorg-edit/Makefile 330213 2013-10-13 
06:15:19Z eadler $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s/logs/xorg-edit-08.08.06.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s
Log:

====>> Building x11/xorg-edit
build started at Fri Oct 18 10:01:13 UTC 2013
port directory: /usr/ports/x11/xorg-edit
building for: FreeBSD head-amd64-default-job-22 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/x11/xorg-edit/Makefile 330213 2013-10-13 
06:15:19Z eadler $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=14757
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=xorg-edit-08.08.06
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
WX_CONFIG=/usr/local/bin/wxgtk2u-2.8-config
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
WX_CONFIG=/usr/local/bin/wxgtk2u-2.8-config PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/xorg-edit
DOCSDIR=/usr/local/share/doc/xorg-edit
EXAMPLESDIR=/usr/local/share/examples/xorg-edit
WWWDIR=/usr/local/www/xorg-edit
ETCDIR=/usr/local/etc/xorg-edit
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for xorg-edit-08.08.06
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   xorg-edit-08.08.06 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of xorg-edit-08.08.06
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by xorg-edit-08.08.06 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by xorg-edit-08.08.06 for building
=> SHA256 Checksum OK for xorg-edit-08.08.06_src.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by xorg-edit-08.08.06 for building
===>  Extracting for xorg-edit-08.08.06
=> SHA256 Checksum OK for xorg-edit-08.08.06_src.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for xorg-edit-08.08.06
===========================================================================
=======================<phase: build-depends  >============================
===>   xorg-edit-08.08.06 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of xorg-edit-08.08.06
===========================================================================
=======================<phase: lib-depends    >============================
===>   xorg-edit-08.08.06 depends on shared library: wx_baseu-2.8 - not found
===>    Verifying install for wx_baseu-2.8 in 
/usr/ports/x11-toolkits/wxgtk28-unicode
===>   Installing existing package /packages/All/wxgtk2-unicode-2.8.12_2.txz
Installing wxgtk2-unicode-2.8.12_2...Installing xproto-7.0.24... done
Installing xineramaproto-1.2.1... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing xcb-util-renderutil-0.3.8...Installing 
xcb-util-0.3.9_1,1...Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2... done
Installing libpthread-stubs-0.3_3... done
 done
 done
 done
Installing videoproto-2.3.2... done
Installing renderproto-0.11.1... done
Installing randrproto-1.4.0... done
Installing pixman-0.30.2... done
Installing libXxf86vm-1.1.3...Installing libXext-1.3.2,1...Installing 
libX11-1.6.2,1...Installing kbproto-1.0.6... done
 done
 done
 done
Installing libXv-1.0.10,1... done
Installing libXrender-0.9.8... done
Installing libXrandr-1.4.2... done
Installing libXinerama-1.1.3,1... done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
fixesproto-5.0... done
 done
Installing inputproto-2.3... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXcursor-1.1.14... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing dri2proto-2.8... done
Installing wxgtk2-common-2.8.12_2...Installing pangox-compat-0.0.2...Installing 
pango-1.34.1_1...Installing xorg-fonts-truetype-7.7_1...Installing 
mkfontscale-1.1.1...Installing libfontenc-1.1.2... done
Installing freetype2-2.5.0.1... done
 done
Installing mkfontdir-1.0.7... done
Installing fontconfig-2.10.95,1...Installing expat-2.1.0... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing font-util-1.3.0... done
Installing font-misc-meltho-1.0.3... done
Installing font-misc-ethiopic-1.0.3... done
Installing font-bh-ttf-1.0.3... done
Installing encodings-1.0.4,1... done
Installing dejavu-2.34... done
 done
Installing libXft-2.3.1... done
Installing harfbuzz-0.9.19...Installing python27-2.7.5_3... done
Installing python2-2_1... done
Installing python-2.7_1,2... done
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
Installing png-1.5.17... done
Installing graphite2-1.2.3... done
Installing cairo-1.10.2_6,2...Installing pcre-8.33... done
Installing libffi-3.0.13... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
Installing icu-50.1.2... done
 done
Installing gnomehier-3.0... done
 done
 done
Installing libXt-1.1.4,1... done
Installing gtk2-2.24.19_2...Installing cups-client-1.5.4_1... done
Installing shared-mime-info-1.1... done
Installing hicolor-icon-theme-0.12... done
Installing tiff-4.0.3...Installing jpeg-8_4... done
Installing jbigkit-1.6... done
 done
Installing jasper-1.900.1_12... done
Installing gtk-update-icon-cache-2.24.19...Installing gdk-pixbuf2-2.28.2... done
Installing atk-2.8.0... done
 done
 done
Installing polkit-0.105_1...Installing gnome_subr-1.0... done
Installing gobject-introspection-1.36.0_2... done
Installing dbus-1.6.12...===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
 done
 done
Installing gstreamer-plugins-0.10.36_3,3...Installing 
gstreamer-0.10.36...Installing mpfr-3.1.2...Installing gmp-5.1.3... done
 done
Installing mpc-0.9... done
Installing gcc-ecj-4.5... done
Installing gcc-4.6.3...Installing binutils-2.23.2... done
 done
 done
Installing orc-0.4.18... done
 done
Installing pciids-20131010... done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
Installing libIDL-0.8.14_1... done
Installing gconf2-2.32.0_3...Installing dconf-0.14.1... done
Installing dbus-glib-0.100.2... done
Installing ORBit2-2.14.19... done
 done
Installing libmspack-0.4... done
 done
 done
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of xorg-edit-08.08.06
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for xorg-edit-08.08.06
===========================================================================
=======================<phase: build          >============================
===>  Building for xorg-edit-08.08.06
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/x11/xorg-edit/work/xorg-edit-08.08.06'
gmake -C libxorgedit
gmake[2]: Entering directory 
`/wrkdirs/usr/ports/x11/xorg-edit/work/xorg-edit-08.08.06/libxorgedit'
c++ -O2 -pipe -fno-strict-aliasing   -c -o device.o device.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o inputdevicelist.o inputdevicelist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o screen.o screen.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o devicelist.o devicelist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o screenlist.o screenlist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o display.o display.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o module.o module.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o serverflaglist.o serverflaglist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o displaylist.o displaylist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o modulelist.o modulelist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o serverlayout.o serverlayout.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o drimode.o drimode.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o monitor.o monitor.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o serverlayoutlist.o 
serverlayoutlist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o driveroption.o driveroption.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o monitorlist.o monitorlist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o settings.o settings.cpp
settings.cpp:217:13: warning: comparison between NULL and non-pointer ('int' 
and NULL) [-Wnull-arithmetic]
  if (stream==NULL)
      ~~~~~~^ ~~~~
settings.cpp:378:13: warning: comparison between NULL and non-pointer ('int' 
and NULL) [-Wnull-arithmetic]
  if (stream==NULL)
      ~~~~~~^ ~~~~
2 warnings generated.
c++ -O2 -pipe -fno-strict-aliasing   -c -o driveroptionlist.o 
driveroptionlist.cpp
driveroptionlist.cpp:599:13: warning: comparison between NULL and non-pointer 
('int' and NULL) [-Wnull-arithmetic]
  if (stream==NULL)
      ~~~~~~^ ~~~~
1 warning generated.
c++ -O2 -pipe -fno-strict-aliasing   -c -o mymessage.o mymessage.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o stringarray.o stringarray.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o extensionlist.o extensionlist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o mystring.o mystring.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o textfile.o textfile.cpp
textfile.cpp:46:13: warning: comparison between NULL and non-pointer ('int' and 
NULL) [-Wnull-arithmetic]
  if (stream==NULL)
      ~~~~~~^ ~~~~
textfile.cpp:78:13: warning: comparison between NULL and non-pointer ('int' and 
NULL) [-Wnull-arithmetic]
  if (stream==NULL)
      ~~~~~~^ ~~~~
2 warnings generated.
c++ -O2 -pipe -fno-strict-aliasing   -c -o filelist.o filelist.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o option.o option.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o xorgfile.o xorgfile.cpp
xorgfile.cpp:346:13: warning: comparison between NULL and non-pointer ('int' 
and NULL) [-Wnull-arithmetic]
  if (stream==NULL)
      ~~~~~~^ ~~~~
1 warning generated.
c++ -O2 -pipe -fno-strict-aliasing   -c -o inputdevice.o inputdevice.cpp
c++ -O2 -pipe -fno-strict-aliasing   -c -o optionlist.o optionlist.cpp
ar rcs ../libxorgedit.a device.o inputdevicelist.o screen.o devicelist.o 
screenlist.o display.o module.o serverflaglist.o displaylist.o modulelist.o 
serverlayout.o drimode.o monitor.o serverlayoutlist.o driveroption.o 
monitorlist.o settings.o driveroptionlist.o mymessage.o stringarray.o 
extensionlist.o mystring.o textfile.o filelist.o option.o xorgfile.o 
inputdevice.o optionlist.o
gmake[2]: Leaving directory 
`/wrkdirs/usr/ports/x11/xorg-edit/work/xorg-edit-08.08.06/libxorgedit'
gmake -C xorgedit
gmake[2]: Entering directory 
`/wrkdirs/usr/ports/x11/xorg-edit/work/xorg-edit-08.08.06/xorgedit'
c++ -O2 -pipe -fno-strict-aliasing `/usr/local/bin/wxgtk2u-2.8-config 
--cxxflags`    -c -o optionwindow.o optionwindow.cpp
c++ -O2 -pipe -fno-strict-aliasing `/usr/local/bin/wxgtk2u-2.8-config 
--cxxflags`    -c -o optiondialog.o optiondialog.cpp
c++ -O2 -pipe -fno-strict-aliasing `/usr/local/bin/wxgtk2u-2.8-config 
--cxxflags`    -c -o settingsdialog.o settingsdialog.cpp
c++ -O2 -pipe -fno-strict-aliasing `/usr/local/bin/wxgtk2u-2.8-config 
--cxxflags`    -c -o textframe.o textframe.cpp
c++ -O2 -pipe -fno-strict-aliasing `/usr/local/bin/wxgtk2u-2.8-config 
--cxxflags`    -c -o guiframe.o guiframe.cpp
guiframe.cpp:185:20: error: variable length array of non-POD element type 
'wxString'
  wxString tempList[devListSize+1];  // initial list for combo und choice 
elements
                   ^
guiframe.cpp:186:19: error: variable length array of non-POD element type 
'wxString'
  wxString optList[optListSize];   // initial list for option combo und choice 
elements
                  ^
guiframe.cpp:1835:20: error: variable length array of non-POD element type 
'wxString'
  wxString tempList[devListSize+1];  // initial list for combo und choice 
elements
                   ^
guiframe.cpp:1836:19: error: variable length array of non-POD element type 
'wxString'
  wxString optList[optListSize];   // initial list for option combo und choice 
elements
                  ^
4 errors generated.
gmake[2]: *** [guiframe.o] Error 1
gmake[2]: Leaving directory 
`/wrkdirs/usr/ports/x11/xorg-edit/work/xorg-edit-08.08.06/xorgedit'
gmake[1]: *** [all] Error 2
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/x11/xorg-edit/work/xorg-edit-08.08.06'
*** Error code 1

Stop.
make: stopped in /usr/ports/x11/xorg-edit
===>  Cleaning for xorg-edit-08.08.06
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to